#
# spec file for package rubygem-grpc
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-grpc
Version:        1.59.2
Release:        1.5
%define mod_name grpc
%define mod_full_name %{mod_name}-%{version}
# MANUAL
BuildRequires: gcc-c++
# /MANUAL
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{rubydevel >= 2.5.0}
BuildRequires:  %{rubygem gem2rpm}
Url:            https://github.com/google/grpc/tree/master/src/ruby
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-grpc.rpmlintrc
Source2:        gem2rpm.yml
# MANUAL
Patch0:  0001-Return-Qnil-from-grpc_rb_fork_unsafe_begin-end_api.patch
# /MANUAL
Summary:        GRPC system in Ruby
License:        Apache-2.0

%description
Send RPCs from Ruby using GRPC.

%prep
%gem_unpack
%patch0 -p1
find -type f -print0 | xargs -0 touch -r %{S:0}
%gem_build

%build

%install
%gem_install \
  -f
%gem_cleanup
# MANUAL
# drop files from the git repository
find %{buildroot}/%{_libdir}/ruby/gems/ \( -name '.sitearchdir.-.grpc.time' -o -name '.yardopts' \) | xargs rm
# fix permissions
find %{buildroot}/%{_libdir}/ruby/gems/ \( -name 'ca.pem' -o -name 'server1.key' -o -name 'server1.pem' \) | xargs chmod -x
# /MANUAL


%gem_packages

%changelog
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 1.59.2, no changelog found
  * Add 0001-Return-Qnil-from-grpc_rb_fork_unsafe_begin-end_api.patch
    (https://github.com/grpc/grpc/pull/35015)
* Tue May 23 2023 Илья Индиго <ilya@ilya.cf>
- Updated to 1.55.0
  * This release contains refinements, improvements, and bug fixes.
* Wed Mar 15 2023 Илья Индиго <ilya@ilya.cf>
- Updated to 1.52.0
  * Upgraded Boring SSL to address CVE-2023-0286.
  * Removed some default allocators.
* Fri Oct 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.50.0
  no changelog found
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.49.1
  no changelog found
* Mon Aug  8 2022 Dan Čermák <dcermak@suse.com>
- First version of the grpc gem
